Skip to main content

Get a group channel alias

Retrieve the alias that a specified user has set for a group channel.

Request

POST: https://Base URL/v4/group-channel/alias/get

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesGroup channel ID.
userIdStringYesUser ID of the group member.

Request example

HTTP
POST /v4/group-channel/alias/get HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "456",
"userId": "123"
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.
resultObjectResponse data.
result.aliasStringAlias set for the group.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result":{
"alias": "Happy Parents Group"
}
}